Page MenuHomePhabricator

Tool "ircredirect" redirects to kiwiirc.com without consent
Closed, ResolvedPublic

Description

https://tools.wmflabs.org/ircredirect/: https://kiwiirc.com/client/irc.freenode.net/wikipedia-en-help?nick=IndigoXerus26
$ curl https://tools.wmflabs.org/ircredirect/ -v 2>&1 | grep Location
< Location: https://kiwiirc.com/client/irc.freenode.net/wikipedia-en-help?nick=EmeraldStork24

Please add a warning about potential change in Privacy Policy and ask for consent before redirecting to a third party site. See also: T129936#2121192

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2017, 3:29 PM
zhuyifei1999 updated the task description. (Show Details)Aug 5 2017, 3:34 PM
Ahecht added a comment.EditedAug 5 2017, 11:06 PM

This tool is only supposed to be linked to from https://en.wikipedia.org/wiki/Wikipedia:IRC_help_disclaimer which has a warning. I will add code that detects whether a disclaimer has already been presented.

Ahecht closed this task as Resolved.EditedAug 6 2017, 4:36 AM

I have updated the tool. It will now display a disclaimer unless consent is given by appending a variable to the URL.

Ahecht added a subscriber: Ahecht.Aug 15 2017, 9:23 PM